program hellompi
  implicit none
  include 'mpif.h'

  integer :: ierror
  integer :: size, rank

  call mpi_init(ierror)
  call mpi_comm_size(MPI_COMM_WORLD, size, ierror)
  call mpi_comm_rank(MPI_COMM_WORLD, rank, ierror)

  print *,'Hello from MPI process ',rank,' of ',size

  call mpi_finalize(ierror)
end program hellompi
